Subject: Re: bug#25832: split (v 8.25) with numeric suffixes beyond 89

From: Assaf Gordon <[email-masked]>
Date: Tue, 21 Feb 2017 23:01:39 -0500

> On Feb 21, 2017, at 22:32, Pádraig Brady <[email-masked]> wrote:
> 
> This was discussed at http://bugs.gnu.org/20874

Missed that - sorry. I should've looked through the archives first...

> I'm not sure anything needs to be done here,
> since for backward compat for concat operations
> expecting lexical sort we use the current auto widening scheme.

I wonder if users who ask for --numeric-suffixes also
implicitly prefer an intuitive order (one that won't work
for lexical sorting but would with version sort).

But that is a new feature, and perhaps a backwards-incompatible one.

However the fact that "--numeric-suffixes=0" and "--numeric-suffixes"
both start from zero but behave differently if there's more than 90 output
files is a bit unintuitive (because '=0' implies max-length).

Perhaps worth adding to the 'coreutils gotchas' page?
Attached is a suggestion for such text.

regards,
 -assaf